ProblemResourceSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ProblemResourceSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ProblemResourceSummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ProblemResourceSummary

All Implemented Interfaces:
  java.io.Serializable

    public class ProblemResourceSummary

extends java.lang.Object
implements java.io.Serializable

This bean is for end user representations of problem resources

See Also:
  Serialized Form

Constructor Summary
`ProblemResourceSummary(AppdefEntityValue entity, ProblemResourceInfo problem)`

Method Summary
`void` | `addProblemInfo(ProblemResourceInfo info)`
`java.lang.Integer` | `getAlertCount()`
`double` | `getAvailability()`
`java.lang.Long` | `getEarliest()`
`AppdefEntityID` | `getEntityId()`
`java.lang.String` | `getEntityName()`
`java.lang.Long` | `getLatest()`
`java.lang.Integer` | `getOobCount()`
`int` | `getResourceId()`
`int` | `getResourceType()`
`void` | `setAvailability(double availability)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemResourceSummary

    public ProblemResourceSummary(AppdefEntityValue entity,
                                  ProblemResourceInfo problem)
                           throws AppdefEntityNotFoundException,
                                  PermissionException

Throws:
  `AppdefEntityNotFoundException`
  `PermissionException`

Method Detail

### getAlertCount

    public java.lang.Integer getAlertCount()

### getOobCount

    public java.lang.Integer getOobCount()

### getEarliest

    public java.lang.Long getEarliest()

### getLatest

    public java.lang.Long getLatest()

### getEntityId

    public AppdefEntityID getEntityId()

### getEntityName

    public java.lang.String getEntityName()

### getResourceId

    public int getResourceId()

### getResourceType

    public int getResourceType()

### getAvailability

    public double getAvailability()

### setAvailability

    public void setAvailability(double availability)

### addProblemInfo

    public void addProblemInfo(ProblemResourceInfo info)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.